## zutty 0.11.2.20220109.192032+dfsg1

=== wscript ===
#! ./waf
# encoding: utf-8

import subprocess, sys
from waflib import Logs

top = '.'
out = 'build'

def options(opt):
    opt.add_option('--debug', action='store_true', default=False,
                   dest='debug', help='Compile-in debug facilities')

    opt.add_option('--no-werror', action='store_false', default=True,
                   dest='werror', help='Treat warnings as errors')

    opt.load('compiler_cxx')

    opt.recurse('src')

def configure(cfg):
    vsn = cmd("(git checkout -- version.txt && " +
              "git describe --tags --dirty) 2>/dev/null || cat version.txt")
    with open("version.txt", 'w') as f: f.write(vsn + '\n')
    cfg.msg('Zutty version', vsn)
    if cfg.options.debug:
        vsn = vsn + '-DEBUG'

    cfg.msg('Debug build', "yes" if cfg.options.debug else "no")

    cfg.load('compiler_cxx')

    cfg.env.append_value('CXXFLAGS',
       ['-std=c++14',
        '-fno-omit-frame-pointer',
        '-fsigned-char',
        '-Wall',
        '-Wextra',
        '-Wsign-compare',
        '-Wno-unused-parameter',
        '-DZUTTY_VERSION="{}"'.format (vsn)
        ])

    platform = cmd("uname -s")
    cfg.msg('Target platform', platform)
    if platform == 'Linux':
        cfg.env.append_value('CXXFLAGS', ['-DLINUX'])
    elif platform == 'FreeBSD':
        cfg.env.append_value('CXXFLAGS',
                             ['-DBSD', '-DFREEBSD', '-I/usr/local/include'])
        cfg.env.append_value('LINKFLAGS', ['-L/usr/local/lib'])
    elif platform == 'OpenBSD':
        cfg.env.append_value('CXXFLAGS',
                             ['-DBSD', '-DOPENBSD', '-I/usr/X11R6/include'])
        cfg.env.append_value('LINKFLAGS', ['-L/usr/X11R6/lib'])
    elif platform == 'NetBSD':
        cfg.env.append_value('CXXFLAGS', ['-DBSD'])
    elif platform == 'Darwin':
        cfg.env.append_value('CXXFLAGS', ['-DMACOS'])
    elif platform == 'SunOS':
        cfg.env.append_value('CXXFLAGS', ['-DSOLARIS'])
    else:
        Logs.error ('Unknown platform: {}'.format (platform))
        sys.exit (1)

    if cfg.options.debug:
        cfg.env.target = 'zutty.dbg'
        cfg.env.append_value('CXXFLAGS',
           ['-DDEBUG', '-Og', '-g', '-ggdb'])
    else:
        cfg.env.target = 'zutty'
        cfg.env.append_value('CXXFLAGS',
           ['-Werror', '-O3', '-march=native', '-mtune=native', '-flto'])
        cfg.env.append_value('LINKFLAGS',
           ['-flto'])

    cfg.check_cfg(package='freetype2', args=['--cflags', '--libs'],
                  uselib_store='FT')

    cfg.check_cfg(package='xmu', args=['--cflags', '--libs'],
                  uselib_store='XMU')

    cfg.check_cxx(header_name='EGL/egl.h')
    cfg.check_cxx(header_name='GLES3/gl31.h')
    cfg.check_cxx(lib='EGL', uselib_store='EGL')
    cfg.check_cxx(lib='GLESv2', uselib_store='GLES')
    cfg.check_cxx(lib='pthread', uselib_store='THREAD')

    cfg.recurse('src')

def build(bld):
    bld.recurse('src')

def cmd(s):
    # Try to cover all relevant Python versions (2.7 - 3.8+)
    if (100 * sys.version_info.major + sys.version_info.minor >= 305):
        proc = subprocess.run(s, shell=True, check=True,
                              stdout=subprocess.PIPE, universal_newlines=True)
        return proc.stdout.strip('\r\n')
    else:
        return subprocess.check_output(s, shell=True).strip('\r\n')

=== debian/changelog ===
zutty (0.11.2.20220109.192032+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Add upstream metadata file
  * debian/repackage.sh
    • Complete missing version elements
    • Remove unnecessary file while repackaging
  * Update copyright years

 -- Ricardo Mones <mones@debian.org>  Sun, 23 Jan 2022 01:54:01 +0100

zutty (0.10.20211016.133334+dfsg1-1) unstable; urgency=medium

  * New upstream version
  - Fixes crashes produced by some binary sequences

 -- Ricardo Mones <mones@debian.org>  Sat, 30 Oct 2021 21:56:14 +0200

zutty (0.9.2.20210612.134406+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #980136)

 -- Ricardo Mones <mones@debian.org>  Sun, 22 Aug 2021 13:54:34 +0200

=== debian/control ===
Source: zutty
Section: x11
Priority: optional
Maintainer: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper-compat (= 13), python3-dev,
 pkg-config, libfreetype6-dev, libxmu-dev, libgles2-mesa-dev
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://tomscii.sig7.se/zutty/
Vcs-Browser: https://salsa.debian.org/debian/zutty
Vcs-Git: https://salsa.debian.org/debian/zutty.git

Package: zutty
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Efficient full-featured X11 terminal emulator
 Zutty is a terminal emulator for the X Window System, functionally
 similar to several other X terminal emulators such as xterm, rxvt and
 others. It is also similar to other, much more modern, GPU-accelerated
 terminal emulators.
 .
 Zutty uses a radically simple, yet extremely efficient rendering
 implementation, coupled with a sufficiently complete feature set to
 make it useful for a wide range of users. It also offers high
 throughput with low latency, and strives to conform to relevant
 standards, either published or de-facto.

## zutty 0.12.6.20220715.170935+dfsg1

=== debian/changelog ===
zutty (0.12.6.20220715.170935+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Add patch to hide desktop file from AppStream

 -- Ricardo Mones <mones@debian.org>  Sun, 31 Jul 2022 12:18:59 +0200

zutty (0.12.2.20220528.131633+dfsg1-1) unstable; urgency=medium

  [ Ricardo Mones ]
  * New upstream version
  * Remove patch already upstream
  * Set Stantards-Version to 4.6.1, no other changes

  [ James Tocknell ]
  * Add zutty as a x-terminal-emulator alternative

 -- Ricardo Mones <mones@debian.org>  Sun, 29 May 2022 19:59:26 +0200

zutty (0.11.4.20220326.133339+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Add patch to fix FTBFS in Hurd and kFreeBSD

 -- Ricardo Mones <mones@debian.org>  Sat, 16 Apr 2022 18:26:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), python3-dev,
  pkg-config, libfreetype6-dev, libxmu-dev, libgles2-mesa-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://tomscii.sig7.se/zutty/
 Vcs-Browser: https://salsa.debian.org/debian/zutty
 Vcs-Git: https://salsa.debian.org/debian/zutty.git

## zutty 0.14.0.20230218+dfsg1

=== wscript ===
--- 
+++ 
@@ -59,6 +59,10 @@
         cfg.env.append_value('CXXFLAGS', ['-DMACOS'])
     elif platform == 'SunOS':
         cfg.env.append_value('CXXFLAGS', ['-DSOLARIS'])
+    elif platform == 'GNU/kFreeBSD':
+        cfg.env.append_value('CXXFLAGS', ['-DBSD'])
+    elif platform == 'GNU':
+        cfg.env.append_value('CXXFLAGS', ['-DGNU'])
     else:
         Logs.error ('Unknown platform: {}'.format (platform))
         sys.exit (1)
@@ -70,7 +74,7 @@
     else:
         cfg.env.target = 'zutty'
         cfg.env.append_value('CXXFLAGS',
-           ['-Werror', '-O3', '-march=native', '-mtune=native', '-flto'])
+           ['-Werror', '-O3', '-flto'])
         cfg.env.append_value('LINKFLAGS',
            ['-flto'])

=== src/wscript ===
#! ../waf
# encoding: utf-8

def options(opt):
    pass

def configure(cfg):
    pass

def build(bld):
    src = bld.path.ant_glob('*.cc')
    bld.program(features='cxx', source=src, target=bld.env.target,
                use=['EGL', 'FT', 'GLES', 'THREAD', 'XMU'])

=== debian/changelog ===
zutty (0.14.0.20230218+dfsg1-1) unstable; urgency=medium

  * New upstream version with a couple of bug fixes
  * Fix dependency on freetype library

 -- Ricardo Mones <mones@debian.org>  Sat, 18 Feb 2023 16:46:46 +0100

zutty (0.13.4.20230114+dfsg1-1) unstable; urgency=high

  * New upstream version
    - Includes WAF upgrade to 2.0.25 (Closes: #1028766)
  * Drop time from repackaged version
  * Update Standards-Version to 4.6.2, no other changes
  * Raised urgency because of RC bug

 -- Ricardo Mones <mones@debian.org>  Wed, 18 Jan 2023 22:06:01 +0100

zutty (0.13.2.20221029.103432+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Update option list in manpage

 -- Ricardo Mones <mones@debian.org>  Sat, 26 Nov 2022 19:16:45 +0100

zutty (0.13.0.20220910.112547+dfsg1-1) unstable; urgency=medium

  [ Ricardo Mones ]
  * New upstream version
  * Remove copyright paragraph for cleaned file
  * Add notice about required OpenGL support (Closes: #1014080)

  [ James Tocknell ]
  * Add provides for x-terminal-emulator

 -- Ricardo Mones <mones@debian.org>  Fri, 16 Sep 2022 13:11:07 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

WAF := python3 ./waf
CONFIGUREFLAGS := --debug

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
    NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    TOOMANYJOBS := $(shell [ $(NUMJOBS) -gt $(NUMCPUS) ] && echo true)
  ifeq ($(TOOMANYJOBS),true)
      BUILDFLAGS := -j$(NUMCPUS)
  else
      BUILDFLAGS := -j$(NUMJOBS)
  endif
endif

PKG := $(CURDIR)/debian/zutty
P2M := pod2man -s 1 -u -c Zutty -r $(DEB_VERSION_UPSTREAM)

%:
	dh $@

override_dh_auto_build:
	$(WAF) build $(BUILDFLAGS)
	$(P2M) debian/zutty.pod > debian/zutty.1

override_dh_auto_configure:
	$(WAF) configure $(CONFIGUREFLAGS) --prefix=/usr

override_dh_auto_install:
	$(WAF) install --destdir=$(PKG)
	mv $(PKG)/usr/bin/zutty.dbg $(PKG)/usr/bin/zutty

execute_after_dh_installdirs:
	cp -p icons/zutty.desktop \
		$(PKG)/usr/share/applications/
	cp -p icons/zutty.svg \
		$(PKG)/usr/share/icons/hicolor/scalable/apps/
	cp -p icons/zutty_128x128.png \
		$(PKG)/usr/share/icons/hicolor/128x128/apps/zutty.png
	cp -p icons/zutty_96x96.png \
		$(PKG)/usr/share/icons/hicolor/96x96/apps/zutty.png
	cp -p icons/zutty_64x64.png \
		$(PKG)/usr/share/icons/hicolor/64x64/apps/zutty.png
	cp -p icons/zutty_48x48.png \
		$(PKG)/usr/share/icons/hicolor/48x48/apps/zutty.png
	cp -p icons/zutty_32x32.png \
		$(PKG)/usr/share/icons/hicolor/32x32/apps/zutty.png
	cp -p icons/zutty_16x16.png \
		$(PKG)/usr/share/icons/hicolor/16x16/apps/zutty.png

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build .waf*
	rm -f debian/zutty.1
	dh_auto_clean

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%zutty-$1.tar.gz%,\
    dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
    https://github.com/tomszilagyi/zutty/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## zutty 0.14.6.20230701+dfsg1

=== debian/changelog ===
zutty (0.14.6.20230701+dfsg1-2) unstable; urgency=medium

  * Fix FTBFS after successful build (Closes: #1047149)

 -- Ricardo Mones <mones@debian.org>  Wed, 16 Aug 2023 23:27:07 +0200

zutty (0.14.6.20230701+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Update year range in copyright

 -- Ricardo Mones <mones@debian.org>  Thu, 13 Jul 2023 21:38:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -30,11 +30,13 @@
 	$(P2M) debian/zutty.pod > debian/zutty.1
 
 override_dh_auto_configure:
+	cp -pf version.txt version.orig
 	$(WAF) configure $(CONFIGUREFLAGS) --prefix=/usr
 
 override_dh_auto_install:
 	$(WAF) install --destdir=$(PKG)
 	mv $(PKG)/usr/bin/zutty.dbg $(PKG)/usr/bin/zutty
+	test -f version.orig && mv -f version.orig version.txt || true
 
 execute_after_dh_installdirs:
 	cp -p icons/zutty.desktop \
@@ -58,5 +60,5 @@
 	$(WAF) clean || true
 	find -name "*.pyc" -delete
 	rm -rf build .waf*
-	rm -f debian/zutty.1
+	rm -f .lock-waf_linux_build debian/zutty.1
 	dh_auto_clean

## zutty 0.14.8.20231210+dfsg1

=== debian/changelog ===
zutty (0.14.8.20231210+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Improve README.source
  * Make rules a bit more readable

 -- Ricardo Mones <mones@debian.org>  Sun, 10 Dec 2023 20:38:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper-compat (= 13), python3-dev,
- pkg-config, libfreetype6-dev, libxmu-dev, libgles2-mesa-dev
+ pkg-config, libfreetype-dev, libxmu-dev, libgles2-mesa-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://tomscii.sig7.se/zutty/
 Vcs-Browser: https://salsa.debian.org/debian/zutty
 Vcs-Git: https://salsa.debian.org/debian/zutty.git
@@ -13,6 +13,7 @@
 Package: zutty
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: x-terminal-emulator
 Description: Efficient full-featured X11 terminal emulator
  Zutty is a terminal emulator for the X Window System, functionally
  similar to several other X terminal emulators such as xterm, rxvt and
@@ -24,3 +25,6 @@
  make it useful for a wide range of users. It also offers high
  throughput with low latency, and strives to conform to relevant
  standards, either published or de-facto.
+ .
+ Notice this program requires your GPU OpenGL to support compute,
+ fragment and vertex shaders, otherwise it will fail to start.

## zutty 0.15.7.20240421+dfsg1

=== debian/changelog ===
zutty (0.15.7.20240421+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Update git URL in repackaging script
  * Add dversionmangle to watch file

 -- Ricardo Mones <mones@debian.org>  Mon, 20 May 2024 00:32:38 +0200

zutty (0.15.2.20240411+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Update watch file for new git repository
  * Update Standards-Version to 4.7.0 with no other changes
  * Switch pkg-config to pkgconf
  * Update copyright year ranges

 -- Ricardo Mones <mones@debian.org>  Sat, 13 Apr 2024 13:06:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper-compat (= 13), python3-dev,
- pkg-config, libfreetype-dev, libxmu-dev, libgles2-mesa-dev
+ pkgconf, libfreetype-dev, libxmu-dev, libgles2-mesa-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://tomscii.sig7.se/zutty/
 Vcs-Browser: https://salsa.debian.org/debian/zutty
 Vcs-Git: https://salsa.debian.org/debian/zutty.git

## zutty 0.16.0.20240607+dfsg1

=== debian/changelog ===
zutty (0.16.0.20240607+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Add upstream documented fonts as suggests

 -- Ricardo Mones <mones@debian.org>  Wed, 10 Jul 2024 21:40:30 +0200

=== debian/watch ===
version=4
opts="mode=git, dversionmangle=auto"
https://git.hq.sig7.se/zutty.git/ shortlog/refs/tags/([\d\.]+)

## zutty 0.16.2.20241020%2Bdfsg1

=== debian/changelog ===
zutty (0.16.2.20241020+dfsg1-1) unstable; urgency=high

  * New upstream version
    - Adds new option -T for setting title (Closes: #1085228)
  * Update manpage with new option
  * Raised urgency because of RC bug

 -- Ricardo Mones <mones@debian.org>  Sun, 20 Oct 2024 20:48:37 +0200

zutty (0.16.1.20240818+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Fix output of repackage script when found
  * Fix debian/watch file and version mangling

 -- Ricardo Mones <mones@debian.org>  Thu, 19 Sep 2024 00:02:28 +0200

## zutty 0.16.2.20241020+dfsg1

=== src/shader/wscript ===
#! ../../waf
# encoding: utf-8

from waflib import TaskGen
TaskGen.declare_chain(
    name='make_include',
    rule="sed -e 's/\\\\/\\\\\\\\/g' -e 's/\"/\\\\\"/g' "
    "-e 's/\\(.*\\)/\"\\1\\\\n\"/' ${SRC} > ${TGT}",
    ext_in='.glsl',
    ext_out='.glsl.h')

def options(opt):
    pass

def configure(cfg):
    pass

def build(bld):
    bld(source=bld.path.ant_glob('*.glsl'))

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,9 @@
 Package: zutty
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: fonts-anonymous-pro | fonts-dejavu-mono | fonts-firacode
+ | fonts-freefont-ttf | fonts-hack | fonts-inconsolata
+ | fonts-jetbrains-mono | fonts-liberation
 Provides: x-terminal-emulator
 Description: Efficient full-featured X11 terminal emulator
  Zutty is a terminal emulator for the X Window System, functionally

## zutty 0.16.3.20250303+dfsg1

=== wscript ===
--- 
+++ 
@@ -54,7 +54,7 @@
                              ['-DBSD', '-DOPENBSD', '-I/usr/X11R6/include'])
         cfg.env.append_value('LINKFLAGS', ['-L/usr/X11R6/lib'])
     elif platform == 'NetBSD':
-        cfg.env.append_value('CXXFLAGS', ['-DBSD'])
+        cfg.env.append_value('CXXFLAGS', ['-DBSD', '-DNETBSD'])
     elif platform == 'Darwin':
         cfg.env.append_value('CXXFLAGS', ['-DMACOS'])
     elif platform == 'SunOS':

=== src/wscript ===
#! ../waf
# encoding: utf-8

def options(opt):
    opt.recurse('shader')

def configure(cfg):
    cfg.recurse('shader')

def build(bld):
    bld.recurse('shader')
    src = bld.path.ant_glob('*.cc')
    bld.program(features='cxx', source=src, target=bld.env.target,
                includes='shader',
                use=['EGL', 'FT', 'GLES', 'THREAD', 'XMU'])

=== debian/changelog ===
zutty (0.16.3.20250303+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Update Standards-Version to 4.7.2 with no other changes

 -- Ricardo Mones <mones@debian.org>  Sat, 23 Aug 2025 19:00:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), python3-dev,
  pkgconf, libfreetype-dev, libxmu-dev, libgles2-mesa-dev
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://tomscii.sig7.se/zutty/
 Vcs-Browser: https://salsa.debian.org/debian/zutty
 Vcs-Git: https://salsa.debian.org/debian/zutty.git

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 endif
 
 PKG := $(CURDIR)/debian/zutty
+HIC := $(PKG)/usr/share/icons/hicolor
 P2M := pod2man -s 1 -u -c Zutty -r $(DEB_VERSION_UPSTREAM)
 
 %:
@@ -39,22 +40,14 @@
 	test -f version.orig && mv -f version.orig version.txt || true
 
 execute_after_dh_installdirs:
-	cp -p icons/zutty.desktop \
-		$(PKG)/usr/share/applications/
-	cp -p icons/zutty.svg \
-		$(PKG)/usr/share/icons/hicolor/scalable/apps/
-	cp -p icons/zutty_128x128.png \
-		$(PKG)/usr/share/icons/hicolor/128x128/apps/zutty.png
-	cp -p icons/zutty_96x96.png \
-		$(PKG)/usr/share/icons/hicolor/96x96/apps/zutty.png
-	cp -p icons/zutty_64x64.png \
-		$(PKG)/usr/share/icons/hicolor/64x64/apps/zutty.png
-	cp -p icons/zutty_48x48.png \
-		$(PKG)/usr/share/icons/hicolor/48x48/apps/zutty.png
-	cp -p icons/zutty_32x32.png \
-		$(PKG)/usr/share/icons/hicolor/32x32/apps/zutty.png
-	cp -p icons/zutty_16x16.png \
-		$(PKG)/usr/share/icons/hicolor/16x16/apps/zutty.png
+	cp -p icons/zutty.desktop $(PKG)/usr/share/applications/
+	cp -p icons/zutty.svg $(HIC)/scalable/apps/
+	cp -p icons/zutty_128x128.png $(HIC)/128x128/apps/zutty.png
+	cp -p icons/zutty_96x96.png $(HIC)/96x96/apps/zutty.png
+	cp -p icons/zutty_64x64.png $(HIC)/64x64/apps/zutty.png
+	cp -p icons/zutty_48x48.png $(HIC)/48x48/apps/zutty.png
+	cp -p icons/zutty_32x32.png $(HIC)/32x32/apps/zutty.png
+	cp -p icons/zutty_16x16.png $(HIC)/16x16/apps/zutty.png
 
 override_dh_auto_clean:
 	$(WAF) clean || true

=== debian/watch ===
version=4
opts="mode=git, dversionmangle=s/\.\d+\.\d{8}\+dfsg\d+//" \
https://git.hq.sig7.se/zutty.git/ shortlog/refs/tags/([\d\.]+)

## zutty 0.16.6.20260114+dfsg1

=== debian/changelog ===
zutty (0.16.6.20260114+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Update Standards-Version to 4.7.3: remove Priority field
  * Update watch file to version 5
  * Update years range in copyright

 -- Ricardo Mones <mones@debian.org>  Thu, 29 Jan 2026 17:02:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: zutty
 Section: x11
-Priority: optional
 Maintainer: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper-compat (= 13), python3-dev,
  pkgconf, libfreetype-dev, libxmu-dev, libgles2-mesa-dev
 Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://tomscii.sig7.se/zutty/
 Vcs-Browser: https://salsa.debian.org/debian/zutty
 Vcs-Git: https://salsa.debian.org/debian/zutty.git

=== debian/watch ===
Version: 5

Source: https://git.hq.sig7.se/zutty.git/
Matching-Pattern: shortlog/refs/tags/([\d\.]+)
Dversionmangle: s/\.\d+\.\d{8}\+dfsg\d+//
Mode: git
